gnutls_transport_set_errno(3)

NAME
gnutls_transport_set_errno - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_errno(gnutls_session_t session, int err);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int err
    error value to store in session-specific errno variable.

DESCRIPTION
Store err in the session-specific errno variable. Useful values for err is EAGAIN and EINTR, other values are treated will be treated as real errors in the push/pull function. This function is useful in replacement push/pull functions set by gnutls_transport_set_push_function and gnutls_transport_set_pullpush_function under Windows, where the replacement push/pull may not have access to the same errno variable that is used by GnuTLS (e.g., the application is linked to msvcr71.dll and gnutls is linked to msvcrt.dll). If you don't have the session variable easily accessible from the push/pull function, and don't worry about thread conflicts, you can also use gnutls_transport_set_global_errno().

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.